> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Update File

> Update a file's metadata



## OpenAPI

````yaml patch /api/v1/files/{file_id}
openapi: 3.1.0
info:
  title: Voicebot Public API
  description: Public API for Voicebot Assistant Management
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/files/{file_id}:
    patch:
      tags:
        - files
      summary: Update File
      description: Update a file's metadata
      operationId: update_file_api_v1_files__file_id__patch
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FileUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: FileUpdate
      description: Schema for file update
    FileResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        originalName:
          anyOf:
            - type: string
            - type: 'null'
          title: Originalname
        size:
          type: number
          title: Size
        mimeType:
          type: string
          title: Mimetype
        purpose:
          type: string
          title: Purpose
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        path:
          type: string
          title: Path
        bucket:
          type: string
          title: Bucket
        url:
          type: string
          title: Url
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        organizationId:
          type: string
          title: Organizationid
        isDeleted:
          type: boolean
          title: Isdeleted
      type: object
      required:
        - id
        - name
        - size
        - mimeType
        - purpose
        - path
        - bucket
        - url
        - createdAt
        - updatedAt
        - organizationId
        - isDeleted
      title: FileResponse
      description: Schema for file response
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````